/******************************************************************************
FILE:				BoString.h
LANGUAGE:			Objective-C
SYSTEM:				ANSI (stdio)
USER-INTERFACE:		None
DESCRIPTION
	This class defines string object. The string data is dynamically allocated
	and reclaimed.
AUTHOR
	<PJB> Pascal J. Bourguignon
MODIFICATIONS
	1993/01/29 <PJB> Creation.
	1993/03/19 <PJB> Updated to use newly Bc- prefixed interfaces.
LEGAL
	Copyright Pascal J. Bourguignon 1993 - 1993
	All rights reserved.
	This program may not be included in any commercial product without the 
	author written permission. It may be used freely for any non-commercial 
	purpose, provided that this header is always included.
******************************************************************************/
#import <BcInterface.h>
#import <BcTypes.h>
#import <BoObject.h>

@interface BoString:BoObject
{
	char*			data;
	INT32			length;
	INT32			allocation;
}

	-(id)init;
	-(id)initCapacity:(INT32)size;
	
	
	-(INT32)length;
	-(const char*)string;
	-(id)setString:(const char*)value;
	-(id)getString:(char*)string;
	
	-(char)charAt:(INT32)index;
	-(id)setChar:(char)nChar at:(INT32)index;
	
	-(id)insert:(BoString*)substring at:(INT32)index;
	-(id)deleteFrom:(INT32)index length:(INT32)delen;
	-(INT32)position:(BoString*)substring from:(INT32)index;
	-(id)copy:(BoString*)string from:(INT32)index length:(INT32)copylen;
	-(id)append:(BoString*)tail;
	-(int)compare:(BoString*)other;
		
@end //BoString
